#!/usr/bin/php
<?php
/**
* Search for all href links and extract the URLs. 
* File must be in the current directory.
* Output file is <filename>.xml.html
**/

$d = new DOMDocument();
$source = $argv[1];
$dest = $argv[1] . ".html";
//looking for links
$tag = "link";
$contents = "<html><body><p>Extracting URLs from " . $source . "</p>\n\n";
// load file
$d->load($source);
$nodelist = $d->getElementsbyTagName($tag);
//loop through list here
if ($nodelist->item(0)){
  foreach ($nodelist as $single){
    //namespace must be xlink
    if ($single->getAttribute('xlink:href')){
      $contents .= "<p>------------------------------------</p>\n";
      if ($single->getAttribute('xlink:href')){ //use $single->textContent for name of link
        $contents .= "<p>link: <a href='" . $single->getAttribute('xlink:href') . "'>" .$single->getAttribute('xlink:href') . "</a></p>\n";
      }    
      //long files note bug https://bugzilla.gnome.org/show_bug.cgi?id=676026
      //line number may be wrong
      $contents .= '<p>line: ' . $single->getLineNo() . "</p>\n";
      $contents .= "<p>------------------------------------</p>\n\n";    
    }
  }
}
$contents .="</body></html>";
file_put_contents($dest, $contents);
?>
