<?php
/**
* Use this script to copy image files when creating 
* EPUB output. Select all images from the 
* output/OEBPS/package.opf file. Look for items 
* of media-type "image": <item id="idp1175344" 
* href="images/callouts/8.png" media-type="image/png"/>.
* Assume source is ./images dir and destination
* is ./output/OEBPS/ dir. 
**/

$d = new DOMDocument();
//relative to the current directory
$xml_source = "output/OEBPS/package.opf";
//assume images dir in current dir
$dest_dir = "output/OEBPS/";
$images_dir = "output/OEBPS/images";
$d->load($xml_source);
$nodelist = $d->getElementsbyTagName('item');
//foreach
foreach ($nodelist as $single) {
  if (substr($single->getAttribute("media-type"),0,5) == "image"){
  	//there are image files so make the images directory
  	if (!file_exists($images_dir)) { mkdir($images_dir); }
    //cp to images dir
    $file = $single->getAttribute("href");
    //check for subdir and create if necessary
    $dir = dirname($file);
    if (!file_exists($dest_dir . $dir)){
      mkdir($dest_dir . $dir);
    }
    //now do the copy
    exec("cp $file $dest_dir" . $file);
  }
}
?>
